---
title: "Get Group Counters"
slug: "get-group-counters"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Counters

Get/api/v1/groups.counters

Get the private channel information for the authenticated user.

Permission required: `view-room-administration`

### Changelog

| Version | Description |
| --- | --- |
| 0.65.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
userIdstring

Counters for provided user ID (you need to have the `view-room-administration` permission for calling user). This parameter is optional

Responses200

OK

**Note** The response returns the following information:

- joined - Boolean flag that shows the particular user has joined the room or not.
- members - Count of current room members.
- unreads - Count of unread messages for specified user (calling user or for the provided `userId`).
- unreadsFrom - Start date-time of unread interval for specified user.
- msgs - Count of messages in the room.
- latest - End date-time of unread interval for specified user (or date-time of last posted message).
- userMentions - Count of user mentions in messages.

<select class='api-response-data' aria-label='Media type'><option value='3e92984e-968f-4368-b5ee-774ccdd360c8'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c167c96b-adfc-4eda-9026-0d38aaaf7dec'>Success</option>
</select>Success

```json
{
  "joined": true,
  "members": 1,
  "unreads": 1,
  "unreadsFrom": "2018-02-18T21:51:20.091Z",
  "msgs": 1,
  "latest": "2018-02-23T17:20:17.345Z",
  "userMentions": 0,
  "success": true
}
```

object  joinedboolean    
membersinteger    
unreadsinteger    
unreadsFromstring    
msgsinteger    
lateststring    
userMentionsinteger    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='9e819d61-2e74-4409-9af9-54b3d79a076d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='af405d51-39fa-4075-8279-fc78dbcb6e78'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]",
  "errorType": "error-room-not-found"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='fc45dcd2-c862-40f0-bf2e-4f42602015ee'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f65ca64d-355d-4ace-bcfa-6db4cbc82aea'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
